MessageProducerWrapper (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.jms
Class MessageProducerWrapper

    java.lang.Object
      bitronix.tm.resource.jms.MessageProducerWrapper

All Implemented Interfaces:
  javax.jms.MessageProducer

    public class MessageProducerWrapper

extends Object
implements javax.jms.MessageProducer

`MessageProducer` wrapper that adds XA enlistment semantics.

Author:
  lorban

Field Summary
`protected DualSessionWrapper` | `session`

Constructor Summary
`MessageProducerWrapper(javax.jms.MessageProducer messageProducer, DualSessionWrapper session, PoolingConnectionFactory poolingConnectionFactory)`

Method Summary
`void` | `close()`
`protected void` | `enlistResource()` Enlist this session into the current transaction if automaticEnlistingEnabled = true for this resource.
`int` | `getDeliveryMode()`
`javax.jms.Destination` | `getDestination()`
`boolean` | `getDisableMessageID()`
`boolean` | `getDisableMessageTimestamp()`
`javax.jms.MessageProducer` | `getMessageProducer()`
`int` | `getPriority()`
`long` | `getTimeToLive()`
`void` | `send(javax.jms.Destination destination, javax.jms.Message message)`
`void` | `send(javax.jms.Destination destination, javax.jms.Message message, int deliveryMode, int priority, long timeToLive)`
`void` | `send(javax.jms.Message message)`
`void` | `send(javax.jms.Message message, int deliveryMode, int priority, long timeToLive)`
`void` | `setDeliveryMode(int deliveryMode)`
`void` | `setDisableMessageID(boolean value)`
`void` | `setDisableMessageTimestamp(boolean value)`
`void` | `setPriority(int defaultPriority)`
`void` | `setTimeToLive(long timeToLive)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### session

    protected final DualSessionWrapper session

Constructor Detail

### MessageProducerWrapper

    public MessageProducerWrapper(javax.jms.MessageProducer messageProducer,
                                  DualSessionWrapper session,
                                  PoolingConnectionFactory poolingConnectionFactory)

Method Detail

### getMessageProducer

    public javax.jms.MessageProducer getMessageProducer()

### enlistResource

    protected void enlistResource()
                           throws javax.jms.JMSException

  Enlist this session into the current transaction if automaticEnlistingEnabled = true for this resource. If no transaction is running then this method does nothing.

  Throws:
    `javax.jms.JMSException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### send

    public void send(javax.jms.Message message)
              throws javax.jms.JMSException

  Specified by:
    `send` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### send

    public void send(javax.jms.Message message,
                     int deliveryMode,
                     int priority,
                     long timeToLive)
              throws javax.jms.JMSException

  Specified by:
    `send` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### send

    public void send(javax.jms.Destination destination,
                     javax.jms.Message message)
              throws javax.jms.JMSException

  Specified by:
    `send` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### send

    public void send(javax.jms.Destination destination,
                     javax.jms.Message message,
                     int deliveryMode,
                     int priority,
                     long timeToLive)
              throws javax.jms.JMSException

  Specified by:
    `send` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### close

    public void close()
               throws javax.jms.JMSException

  Specified by:
    `close` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### setDisableMessageID

    public void setDisableMessageID(boolean value)
                             throws javax.jms.JMSException

  Specified by:
    `setDisableMessageID` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getDisableMessageID

    public boolean getDisableMessageID()
                                throws javax.jms.JMSException

  Specified by:
    `getDisableMessageID` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### setDisableMessageTimestamp

    public void setDisableMessageTimestamp(boolean value)
                                    throws javax.jms.JMSException

  Specified by:
    `setDisableMessageTimestamp` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getDisableMessageTimestamp

    public boolean getDisableMessageTimestamp()
                                       throws javax.jms.JMSException

  Specified by:
    `getDisableMessageTimestamp` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### setDeliveryMode

    public void setDeliveryMode(int deliveryMode)
                         throws javax.jms.JMSException

  Specified by:
    `setDeliveryMode` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getDeliveryMode

    public int getDeliveryMode()
                        throws javax.jms.JMSException

  Specified by:
    `getDeliveryMode` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### setPriority

    public void setPriority(int defaultPriority)
                     throws javax.jms.JMSException

  Specified by:
    `setPriority` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getPriority

    public int getPriority()
                    throws javax.jms.JMSException

  Specified by:
    `getPriority` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### setTimeToLive

    public void setTimeToLive(long timeToLive)
                       throws javax.jms.JMSException

  Specified by:
    `setTimeToLive` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getTimeToLive

    public long getTimeToLive()
                       throws javax.jms.JMSException

  Specified by:
    `getTimeToLive` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

### getDestination

    public javax.jms.Destination getDestination()
                                         throws javax.jms.JMSException

  Specified by:
    `getDestination` in interface `javax.jms.MessageProducer`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.